# Generated by Aaron on 2022-01-03

from django.db import migrations


def add_ping_types(apps, schema_editor):
    PingType = apps.get_model('pinger', 'PingType')

    # StructureUnderAttack
    PingType.objects.create(name="HR: Application Accepted",
                            class_tag="CorpAppAcceptMsg")
    PingType.objects.create(name="HR: Invitation Sent",
                            class_tag="CorpAppInvitedMsg")
    PingType.objects.create(name="HR: New Application",
                            class_tag="CorpAppNewMsg")
    PingType.objects.create(name="HR: Application Rejected",
                            class_tag="CorpAppRejectMsg")

    PingType.objects.create(name="Structures: Structure Destroyed",
                            class_tag="StructureDestroyed")
    PingType.objects.create(name="Structures: Structure Unanchoring",
                            class_tag="StructureUnanchoring")
    PingType.objects.create(name="Structures: Structure Went High Power",
                            class_tag="StructureWentHighPower")
    PingType.objects.create(name="Structures: Structure Went Low Power",
                            class_tag="StructureWentLowPower")
    PingType.objects.create(name="Structures: Structure Anchoring",
                            class_tag="StructureAnchoring")


class Migration(migrations.Migration):

    dependencies = [
        ('pinger', '0008_mutedstructure'),
    ]

    operations = [
        migrations.RunPython(add_ping_types)
    ]
